glade-catalog-libpeas-1.22.0-lp150.3.2.x86_64.rpm


Advertisement

Description

glade-catalog-libpeas - Glade catalog for libpeas, a GObject-based plugin engine

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name glade-catalog-libpeas
Package version 1.22.0
Package release lp150.3.2
Package architecture x86_64
Package type rpm
Installed size 1.39 KB
Download size 23.50 KB
Official Mirror widehat.opensuse.org
libpeas is a gobject-based plugin engine, and is targetted at giving
every application the chance to assume its own extensibility.
This package provides a catalog for Glade, to allow the use the libpeas
widgets in Glade.

Alternatives

Package Version Architecture Repository
glade-catalog-libpeas - - -

Requires

Name Value
glade -
libpeas-gtk-1_0-0 = 1.22.0

Provides

Name Value
glade-catalog-libpeas = 1.22.0-lp150.3.2
glade-catalog-libpeas(x86-64) = 1.22.0-lp150.3.2

Download

Type URL
Binary Package glade-catalog-libpeas-1.22.0-lp150.3.2.x86_64.rpm
Source Package libpeas-1.22.0-lp150.3.2.src.rpm

Install Howto

Install glade-catalog-libpeas rpm package:

# zypper install glade-catalog-libpeas

Files

Path
/usr/share/glade/catalogs/libpeas-gtk.xml

Changelog

2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2018-01-08 - zaitor@opensuse.org
- Use make_build macro.
- Avoid running fdupes across hardlink boundaries.
2018-01-08 - tchvatal@suse.com
- Update URL to reflect current web, old was 404.
- Run spec-cleaner.
- Fix typo on parallel build command call.
- Conditionalize py2 and py3 build to allow us building of the
one we desire based on codestream.
2017-09-10 - dimstar@opensuse.org
- Update to version 1.22.0:
+ Updated translations.
2017-09-08 - jengelh@inai.de
- Update description, RPM groups and old macros.
2017-08-09 - zaitor@opensuse.org
- Update to version 1.21.0+git.20170807:
+ Release 1.21.0.
2017-07-04 - zaitor@opensuse.org
- Update to version 1.21.0+git.20170609:
+ Consider all an interfaces potential properties.
+ Fix PeasEngine virtual annotations.
+ Allow extensions to be an Abstract Base Class.
+ Cache an extension type's base class and interfaces.
+ Updated translations.
- Switch to sourceservice, add gnome-common BuildRequires and pass
autogen.sh.
- Following the above, pass --enable-gtk-doc to configure,
explicitly build documentation, needed now that we are on a git
checkout.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.
- Stop passing V=1 to make, we do debugging locally.
- Drop post(un) handling of icon_theme_cache for libpeas-gtk-1_0-0,
no longer needed as we now rely on file triggers.
2016-09-19 - dimstar@opensuse.org
- Update to version 1.20.0:
+ Updated translations.
2016-04-13 - idonmez@suse.com
- Update to GNOME 3.20  Fate#318572

See Also

Package Description
glade-catalog-vte-0.50.2-lp150.4.2.x86_64.rpm Glade catalog for the VTE terminal emulator library
glade-lang-3.20.4-lp150.1.4.noarch.rpm Translations for package glade
glade-sharp2-2.12.41-lp150.1.3.x86_64.rpm Mono bindings for glade
glew-2.1.0-lp150.1.7.x86_64.rpm OpenGL Extension Wrangler Library
glew-devel-2.1.0-lp150.1.7.x86_64.rpm Development files for glew
glfw2-devel-2.7.6-lp150.1.3.x86_64.rpm Portable framework for OpenGL application development
glib-networking-2.54.1-lp150.1.3.x86_64.rpm Network-related GIO modules for glib
glib-networking-32bit-2.54.1-lp150.1.3.x86_64.rpm Network-related GIO modules for glib
glib-networking-lang-2.54.1-lp150.1.3.noarch.rpm Translations for package glib-networking
glib-sharp2-2.12.41-lp150.1.3.x86_64.rpm Mono bindings for glib
glib-sharp3-2.99.4-lp150.1.4.x86_64.rpm Mono bindings for glib
glib2-devel-2.54.3-lp150.2.6.x86_64.rpm Development files for glib, a general-purpose utility library
glib2-devel-32bit-2.54.3-lp150.2.6.x86_64.rpm Development files for glib, a general-purpose utility library
glib2-devel-static-2.54.3-lp150.2.6.x86_64.rpm Static libraries for glib, a general-purpose utility library
glib2-lang-2.54.3-lp150.2.6.noarch.rpm Translations for package glib2
Advertisement
Advertisement